/**
 * Copyright (c) 2012 EBM WebSourcing, 2012-2013 Linagora
 * 
 * This program/library is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 2.1 of the License, or (at your
 * option) any later version.
 * 
 * This program/library is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License
 * for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program/library; If not, see <http://www.gnu.org/licenses/>
 * for the GNU Lesser General Public License version 2.1.
 */
package org.ow2.petals.admin.topology;

import java.util.ArrayList;
import java.util.Collections;
import java.util.List;

/**
 * 
 * @author Nicolas Oddoux - EBM WebSourcing
 */
public class Subdomain {

    private final String name;

    private final List<Container> containers;

    public Subdomain(String name) {
        assert name != null;
        
        this.name = name;
        this.containers = new ArrayList<Container>();
    }
    
    public void addContainers(List<Container> containers) {
        assert containers != null;

        this.containers.addAll(containers);
    }
    
    public String getName() {
        return name;
    }
    
    public List<Container> getContainers() {
        return Collections.unmodifiableList(this.containers);
    }   
}
